export { config as default };
import 'vike-react/config'; // Needed for declaration merging of Config
const config = {
    name: 'vike-react-query',
    require: {
        'vike-react': '>=0.6.4',
    },
    queryClientConfig: undefined,
    Wrapper: 'import:vike-react-query/__internal/integration/Wrapper:Wrapper',
    FallbackErrorBoundary: 'import:vike-react-query/__internal/integration/FallbackErrorBoundary:FallbackErrorBoundary',
    stream: { require: true },
    meta: {
        queryClientConfig: {
            env: {
                server: true,
                client: true,
            },
        },
        FallbackErrorBoundary: {
            env: {
                server: true,
                client: true,
            },
        },
    },
};
